﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace _289938_TreeViewContainerBindings
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.treeView.ItemsSource = this.GenerateData();
		}

		private MainViewModel GenerateData()
		{
			MainViewModel result = new MainViewModel();

			for (int i = 0; i < 2; i++)
			{
				Company c = new Company()
				{
					Name = String.Format("Company {0}", i),
					IsExpanded = ((i % 2) == 0),
					IsSelected = false,
					MainViewModel = result
				};

				for (int j = 0; j < 2; j++)
				{
					Department d = new Department()
					{
						Name = String.Format("Department {0}", j),
						IsExpanded = ((j % 2) == 0),
						IsSelected = false,
						Company = c
					};

					for (int k = 0; k < 2; k++)
					{
						Employee e = new Employee()
						{
							Name = String.Format("Employee {0}{1}", j, k),
							IsExpanded = ((k % 2) == 0),
							IsSelected = false,
							Department = d
						};
						d.Employees.Add(e);
					}
					c.Departments.Add(d);
				}
				result.Add(c);
			}
			return result;
		}
	}
}
